# class Tk::BWidget::SelectFont

### Constants

TkCommandNames
WidgetClassName

### Public Class Methods

load_font() click to toggle source

    # File lib/tkextlib/bwidget/selectfont.rb, line 48
    def self.load_font
      tk_call('SelectFont::loadfont')
    end

### Public Instance Methods

create() click to toggle source

    # File lib/tkextlib/bwidget/selectfont.rb, line 44
    def create
      tk_call(self.class::TkCommandNames[0], @path, *hash_kv(@keys))
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__boolval_optkeys

    # File lib/tkextlib/bwidget/selectfont.rb, line 34
    def __boolval_optkeys
      super() << 'nosizes'
    end

__font_optkeys() click to toggle source

    # File lib/tkextlib/bwidget/selectfont.rb, line 39
    def __font_optkeys
      [] # without fontobj operation
    end

__strval_optkeys() click to toggle source
Calls superclass method Tk::BWidget::MessageDlg#__strval_optkeys

    # File lib/tkextlib/bwidget/selectfont.rb, line 29
    def __strval_optkeys
      super() << 'sampletext' <<  'title'
    end